import Vue from 'vue'
import Router from 'vue-router';
Vue.use(Router)
import home from '@/components/home'
import myPage from '@/components/myPage'
import buy from '@/components/buy'
import sell from '@/components/sell'
import signup from '@/components/signup'
import BookSearchPage from '@/components/BookSearchPage'

export default new Router({
  mode: 'history',
  routes: [
    {
      path: '/',
      name: 'home',
      component: home
    },
    {
      path: '/myPage',
      name : 'myPage',
      component: myPage
    },
    {
      path: '/buy',
      name: 'buy',
      component: buy
    },
    {
      path: '/sell',
      name: 'sell',
      component: sell
    },
    {
      path: '/signup',
      name: 'signup',
      component: signup
    },
    {
      path: '/BookSearchPage',
      name: 'bookindex',
      component: BookSearchPage
    }
  ]
})

